devplugin

## Class ChannelGroupImpl

- java.lang.Object
- - devplugin.ChannelGroupImpl

- All Implemented Interfaces:
    ChannelGroup

      public class ChannelGroupImpl
      extends java.lang.Object
      implements ChannelGroup

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mDescription`
    `protected java.lang.String` | `mProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelGroupImpl(java.lang.String id, java.lang.String name, java.lang.String description)`
    `ChannelGroupImpl(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String provider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getProviderName()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mDescription

          protected java.lang.String mDescription

    - #### mProvider

          protected java.lang.String mProvider

  - ### Constructor Detail

    - #### ChannelGroupImpl

          public ChannelGroupImpl(java.lang.String id,
                          java.lang.String name,
                          java.lang.String description,
                          java.lang.String provider)

    - #### ChannelGroupImpl

          public ChannelGroupImpl(java.lang.String id,
                          java.lang.String name,
                          java.lang.String description)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ChannelGroup`
      Returns:
        the title of this group

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `ChannelGroup`
      Returns:
        unique identifier of this group

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `ChannelGroup`
      Returns:
        short description of this group

    - #### getProviderName

          public java.lang.String getProviderName()

      Specified by:
        `getProviderName` in interface `ChannelGroup`
      Returns:
        the name of the provider

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)